Growl notification task for Phing, the PHP build tool.

PHP version 5

category | Tasks
package | phing.tasks.ext
version | $Id: 777833ffaf249bf591f33ee2dd50389ac503d20a $
author | Laurent Laville
license | BSD License
link | https://github.com/llaville/phing-GrowlNotifyTask
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Initializes task with default options

    __construct(\Net_Growl $growl)

### Parameters

#### $growl

`\Net_Growl`

(optional) mock instance

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## The init method check if Net_Growl is available (exists and can be loaded)

    init() : void

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## The main entry point method

    main() : void

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

### Exceptions

`\BuildException` |

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## The icon of the application being registered.

    setAppicon(string $icon) : void

Must be a valid file type (png, jpg, gif, ico). Can be any of the following: - absolute url (http://domain/image.png) - absolute file path (c:\temp\image.png) - relative file path (.\folder\image.png) (relative file paths must start with a dot and are relative to GrowlNotify's phing task location

### Parameters

#### $icon

`string`

Icon of the application

### Exceptions

`\BuildException` |

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## The host address to send the notification to.

    setHost(string $host) : void

If any value other than 'localhost' or '127.0.0.1' is provided, the host is considered a remote host and the "pass" attribute must also be provided. Default: 127.0.0.1

### Parameters

#### $host

`string`

Remote host name/ip

### Exceptions

`\BuildException` |

## The icon to show for the notification.

    setIcon(string $icon) : void

Must be a valid file type (png, jpg, gif, ico). Can be any of the following: - absolute url (http://domain/image.png) - absolute file path (c:\temp\image.png) - relative file path (.\folder\image.png) (relative file paths must start with a dot and are relative to GrowlNotify's phing task location

### Parameters

#### $icon

`string`

Icon of the message

### Exceptions

`\BuildException` |

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## The notification's text is required.

    setMessage(string $message) : void

Use \n to specify a line break.

### Parameters

#### $message

`string`

Notification's text

### Exceptions

`\BuildException` |

## Defines the name of the application sending the notification

    setName(string $name) : void

### Parameters

#### $name

`string`

(optional) Name of the application that appears in your Growl preferences Default: "Growl for Phing"

### Exceptions

`\BuildException` |

## The notification name/type

    setNotification(string $notification) : void

### Parameters

#### $notification

`string`

Name/type Default: "General Notification"

### Exceptions

`\BuildException` |

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## The password required to send notifications.

    setPassword(string $password) : void

A password is required to send a request to a remote host. If host attribute is specified and is any value other than 'localhost' or '127.0.0.1', then "pass" attribute is also required. Default: no password

### Parameters

#### $password

`string`

Password to send request to a remote host

### Exceptions

`\BuildException` |

## The notification priority.

    setPriority(string $priority) : void

Valid values are : low, moderate, normal, high, emergency Default: normal

### Parameters

#### $priority

`string`

Notification priority

### Exceptions

`\BuildException` |

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## The protocol (and port) to send the notification to.

    setProtocol(string $protocol) : void

With TCP (GNTP) protocol, port is always 23053 With UDP protocol, port is always 9887 Default: 23053

### Parameters

#### $protocol

`string`

Protocol to use to send request to remote host

### Exceptions

`\BuildException` |

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Indicates if the notification should be sticky

    setSticky(bool $sticky) : void

### Parameters

#### $sticky

`bool`

(optional) Notification should be sticky

### Exceptions

`\BuildException` |

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## The notification's title.

    setTitle(string $title) : void

Use \n to specify a line break.

### Parameters

#### $title

`string`

(optional) Notification's title Default: GrowlNotify

### Exceptions

`\BuildException` |

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

### Properties

##

    $appicon

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $growl

##

    $host

##

    $icon

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $message

##

    $name

##

    $notification

##

    $password

##

    $priority

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $protocol

##

    $sticky

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $title

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper